def get_the_fib(which_fib):
	"""Returns the nth Fibonacci number.

	>>> get_the_fib(8)
	21
	>>> get_the_fib(5)
	5
	"""
	if which_fib < 1:
		 return 0

	prev_fib = 0
	next_fib = 1
	fib_number = 0

	while fib_number < which_fib:
		 prev_fib, next_fib = next_fib, next_fib + prev_fib
		 fib_number += 1
	return next_fib


import doctest
doctest.testmod()
